/*
*
* Copyright (c) 2004 Sun Microsystems, Inc.
* All rights reserved.
* You may not modify, use, reproduce, or distribute this software except in compliance with the terms
* of the License at: http://developer.sun.com/berkeley_license.html
* Author : Sameer Tyagi, Sun Microsystems s.t@sun.com
* "Patterns and Strategies for Building Document-Based Web Services"
*  http://java.sun.com/developer/technicalArticles/xml/jaxrpcpatterns
*/
package com.examples.base64;



public class StringServiceImpl implements IStringService {


    /**
     * Process the string, the String is really an XML
     * * @param xml
     *
     * @return
     */
    public String sayXMLHello(String xml) {
        System.out.println("======================================================================");
        byte[] data = Base64.decode(xml);
        System.out.println(new String(data));
        System.out.println("======================================================================");
        return xml;
    }


    public byte[] sayRawHello(byte[] xml) {
        System.out.println("======================================================================");

        System.out.println(new String(xml));
        System.out.println("======================================================================");
        return xml;
    }
}
